# Project: nidaq
# Makefile created by Dev-C++ 4.9.7.0

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = main.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" "D:/JF/recherche/programmation/Nidaq/nidaq32.a" 
INCS =  -I"C:/Dev-Cpp/include" 
BIN  = nidaq.exe
CXXFLAGS = $(INCS) 
CFLAGS = $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: all-before nidaq.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(OBJ) -o "nidaq.exe" $(LIBS) $(CFLAGS)

main.o: main.c nidaq.h
	$(CC) -c main.c -o main.o $(CFLAGS)
